package ru.myitschool.work.ui.list

import ru.myitschool.work.api.list.ApiServiceList
import ru.myitschool.work.api.list.ListInfo
import javax.inject.Inject

class ListRepository @Inject constructor(
    private val apiService: ApiServiceList
) {
    suspend fun getList(login: String): List<ListInfo> {
        return apiService.getList(login).body() ?: emptyList()
    }
}